Zoom Meeting API - April 17, 2023
Published April 17, 2023
Added
- New Meeting API:
GET /v2/past_meetings/{meetingId}/qaPOST /v2/meetings/{meetingId}/sip_dialing
- New Report API:
GET /v2/report/meetings/{meetingId}/qa
- New Zoom Rooms Webhook event:
zoomroom.thirdparty_meeting_attempted
- New Zoom Rooms Tag API:
POST /v2/rooms/tagsGET /v2/rooms/tagsDELETE /v2/rooms/tags/{tagId}PUT /v2/rooms/{roomId}/tagsDELETE /v2/rooms/{roomId}/tags
Changed
- New
user_idsrequest field in the following Chat APIs:DELETE /v2/chat/users/{userId}/channels/{channelId}/adminsDELETE /v2/chat/channels/{channelId}/members
- Updated
channel_settingsrequest and response field in the following Chat APIs:GET /v2/chat/channelsGET /v2/chat/channels/{channelId}GET /v2/chat/users/{userId}/channelsGET /v2/chat/users/{userId}/channels/{channelId}POST /v2/chat/users/{userId}/channelsPATCH /v2/chat/channels/{channelId}PATCH /v2/chat/users/{userId}/channels/{channelId}
- New
user_statusrequest fielddisplay_nameuser_statusresponse fields and support searchcontact_type = 8for zoom room user in the following Chat APIs:GET /v2/contacts
- Support validating channels name limited the same Account in the
following Chat APIs:
POST /v2/chat/users/{userId}/channelsPATCH /v2/chat/users/{userId}/channels/{channelId}PATCH /v2/chat/channels/{channelId}
- New
query_date_typerequest field in the List meetings API:GET /v2/metrics/meetings
- New
participant_user_idrequest field in the Report API:GET /v2/report/webinars/{webinarId}/participantsGET /v2/report/meetings/{meetingId}/participants
- New
search_and_send_animated_gif_imagesfield in the following Settings APIs and webhook events:GET /v2/accounts/{accountId}/settingsPATCH /v2/accounts/{accountId}/settingsGET /v2/accounts/{accountId}/lock_settingsPATCH /v2/accounts/{accountId}/lock_settingsGET /v2/groups/{groupId}/settingsPATCH /v2/groups/{groupId}/settingsGET /v2/groups/{groupId}/lock_settingsPATCH /v2/groups/{groupId}/lock_settingsGET /v2/users/{userId}/settingsPATCH /v2/users/{userId}/settingsaccount.settings_updatedaccount.lock_settings_updatedgroup.settings_updatedgroup.lock_settings_updateduser.settings_updated
- Support
room_idandidin response of APIList Zoom Roomscan be used as the value ofRoomIdin PATH in the following Zoom Room APIs:GET /v2/rooms/{roomId}/device_profiles/devicesGET /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/devicesPOST /v2/rooms/{roomId}/device_profilesPOST /v2/accounts/{accountId}/rooms/{roomId}/device_profilesGET /v2/rooms/{roomId}/sensor_dataPATCH /v2/rooms/{roomId}/device_profiles/{deviceProfileId}PATCH /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId}GET /v2/rooms/{roomId}/device_profiles/{deviceProfileId}GET /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId}DELETE /v2/rooms/{roomId}/device_profiles/{deviceProfileId}DELETE /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId}GET /v2/rooms/{roomId}/device_profilesGET /v2/accounts/{accountId}/rooms/{roomId}/device_profiles
- New
zoomroom.thirdparty_meeting_joinvalue for themethodfield and newjoin_type,meeting_source_type,join_url,sip_addressandthird_party_meeting_idfields in theparamsfield in the Zoom Rooms API:PATCH /v2/rooms/{id}/events
Fixed
- Fix the bug that any user with
User_Editpermission can change admins host key in the Update a user API:PATCH /v2/users/{userId}
- Fix the bug that api not returning all data in the
following Chat API:
GET /v2/chat/users/{userId}/sessions
- Fix the bug that the exception no file when uploading a virtual
background file in the following Settings APIs:
POST /v2/accounts/{id}/settings/virtual_backgroundsPOST /v2/groups/{id}/settings/virtual_backgroundsPOST /v2/accounts/{accountId}/groups/{id}/settings/virtual_backgroundsPOST /v2/users/{id}/settings/virtual_backgroundsPOST /v2/accounts/{accountId}/users/{id}/settings/virtual_backgrounds
- Fix the bug that PastJoined report API return Cannot parse null
string error in the following Report API:
GET /v2/report/users/{userId}/meetings
- Fix the bug that Zoom Apps is unable to use the
following Meetings API:
GET /v2/meetings/{meetingId}/registrantsGET /v2/past_meetings/{meetingId}/registrantsGET /v2/past_meetings/{meetingId}/polls